Subject: Re: bug#70815: [PATCH] ; Enahnce python-tests.el to adapt different python interpreters

From: Lin Sun <[email-masked]>
Date: Mon, 27 May 2024 04:19:03 -0700

On Mon, May 27, 2024, 03:24 Mattias Engdegård <[email-masked]>
wrote:

> 26 maj 2024 kl. 17.52 skrev Eli Zaretskii <[email-masked]>:
>
> > Why do you have "python" as python2 when you have Python 3.x
> > installed?  The usual practice is to have "python" invoke the
> > preferred version, which is normally the latest one.
>
> That is a misunderstanding. It is not at all unusual to have plain
> `python` being Python 2 for compatibility with old scripts. (A long-running
> debate point in the transition from Python 2 to 3.)
>
> In any case, this set-up is standard in macOS (at least my version), and
> I'm quite sure I've seen similar arrangements in other systems.
>
> What we are debating now is whether it is worth making the tests pass for
> certain Python 2 installations if the user somehow prefers those (with
> EMACS_PYTHON_INTERPRETER), and if so, how.
>
> Kobarity and Lin Sun, wouldn't it make sense to tie the interpreter to
> test to `python-shell-interpreter`?
>

Hi Eli, it's not worth to make the cases for user perfers
EMACS_PYTHON_INTERPRETER.
It's failed naturally if the interpreter version is not supported anymore
or not supported yet.

For python2, as we discussed on original patch thread, it may be will still
exists for many years, so we need keep compatible with it, but we may skip
the cases that not working for python2 anymore.

And I'm trying to get the details of the failure.